Bug 175941 - audio/gstreamer-plugins-ladspa add missing dependency
Summary: audio/gstreamer-plugins-ladspa add missing dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-multimedia (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-07 22:30 UTC by Pawel Pekala
Modified: 2013-04-27 10:10 UTC (History)
0 users

See Also:


Attachments
file.diff (654 bytes, patch)
2013-02-07 22:30 UTC, Pawel Pekala
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pawel Pekala freebsd_committer 2013-02-07 22:30:00 UTC
Package links to textproc/liblrdf if available on system:

configure: *** checking feature: ladspa ***
configure: *** for plug-ins: ladspa ***
checking ladspa.h usability... yes
checking ladspa.h presence... yes
checking for ladspa.h... yes
checking for LRDF... yes
configure: *** These plugins will be built: ladspa

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-02-07 22:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-multimedia

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-04-27 10:03:36 UTC
Author: kwm
Date: Sat Apr 27 09:03:23 2013
New Revision: 316655
URL: http://svnweb.freebsd.org/changeset/ports/316655

Log:
  If liblrdf is installed the ladspa plugin will build against it. So add it to
  lib_depends.
  
  PR:		ports/175941
  Submitted by:	pawel@

Modified:
  head/audio/gstreamer-plugins-ladspa/Makefile   (contents, props changed)
  head/multimedia/gstreamer-plugins/Makefile.common

Modified: head/audio/gstreamer-plugins-ladspa/Makefile
==============================================================================
--- head/audio/gstreamer-plugins-ladspa/Makefile	Sat Apr 27 08:50:46 2013	(r316654)
+++ head/audio/gstreamer-plugins-ladspa/Makefile	Sat Apr 27 09:03:23 2013	(r316655)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	gstreamer-plugins-ladspa
-# Date created:			3 Oct 2004
-# Whom:				Michael Johnson <ahze@FreeBSD.org>
-#
+# Created by: Michael Johnson <ahze@FreeBSD.org>
 # $FreeBSD$
 #   $MCom: ports/audio/gstreamer-plugins-ladspa/Makefile,v 1.5 2008/03/19 14:05:30 ahze Exp $
-#
 
-PORTREVISION=	0
+PORTREVISION=	2
 CATEGORIES=	audio
 
 COMMENT=	Gstreamer ladspa (Linux Audio Developer's Simple Plugin API) plugin

Modified: head/multimedia/gstreamer-plugins/Makefile.common
==============================================================================
--- head/multimedia/gstreamer-plugins/Makefile.common	Sat Apr 27 08:50:46 2013	(r316654)
+++ head/multimedia/gstreamer-plugins/Makefile.common	Sat Apr 27 09:03:23 2013	(r316655)
@@ -349,6 +349,7 @@ gst_jpeg_PLIST_FILES=	${GST_LIB_DIR}/lib
 
 # ladspa
 gst_ladspa_BUILD_DEPENDS+=	${LOCALBASE}/include/ladspa.h:${PORTSDIR}/audio/ladspa
+gst_ladspa_LIB_DEPENDS+=	lrdf:${PORTSDIR}/textproc/liblrdf
 gst_ladspa_PLIST_FILES=		${GST_LIB_DIR}/libgstladspa.la \
 				${GST_LIB_DIR}/libgstladspa.so
 gst_ladspa_DIST=	bad
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Koop Mast freebsd_committer 2013-04-27 10:03:43 UTC
State Changed
From-To: open->closed

Committed thanks!